> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1cmstemplatestore



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Cms//swagger/v1/swagger.json post /api/v1/cms/template/store
openapi: 3.0.0
info:
  title: NDS.Services.Cms
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Cms/
security: []
paths:
  /api/v1/cms/template/store:
    post:
      tags:
        - Template
      operationId: Template_StoreTemplate
      parameters:
        - name: templateId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 1
        - name: templateName
          in: query
          schema:
            type: string
            nullable: true
          x-position: 2
        - name: templateCategoryId
          in: query
          schema:
            type: string
            nullable: true
          x-position: 3
        - name: templateDescription
          in: query
          schema:
            type: string
            nullable: true
          x-position: 4
        - name: disabled
          in: query
          schema:
            type: boolean
            nullable: true
          x-position: 5
        - name: weight
          in: query
          schema:
            type: integer
            format: int32
          x-position: 6
        - name: allowedDestinations
          in: query
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
          x-position: 7
        - name: priority
          in: query
          schema:
            type: string
            nullable: true
          x-position: 8
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreTemplateResult'
components:
  schemas:
    StoreTemplateResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Template:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/Template'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Template:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        Id:
          type: string
          nullable: true
        Name:
          type: string
          maxLength: 256
          minLength: 1
        Description:
          type: string
          nullable: true
        CategoryId:
          type: string
          nullable: true
        AllowedDestinations:
          type: array
          nullable: true
          items:
            type: string
        Permissions:
          type: string
          nullable: true
        Weight:
          type: integer
          format: int32
        Disabled:
          type: boolean
        Metadata:
          nullable: true
        Priority:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````